OSX Yosemite com falha de segurança

Emil Kvarnhammar um “white hacker” descobriu uma falha de segurança no OSX Yosemite ao qual batizou de “rootpipe”, pelo que para já não é conveniente utilizar o OSX com privilégios de administrador. A Apple ainda não não tem uma solução para este problema.

Kvarnhammar não avança explicações sobre a falha de segurança, mas afirma que a Apple está ciente do problema. Por outro lado a Apple ainda não veio a publico falar sobre esta vulnerabilidade, no entanto é conhecido que a Apple apenas fala das falhas de segurança quando já tem solução.

O hacker deu a conhecer que esta falha não é específica do Yosemite, no entanto refere que quem corre o Mavericks não deverá ter qualquer problema visto que esta vulnerabilidade não funciona no OSX 10.9. Quem deverá ter atenção são os utilizadores que correm versões do OSX anteriores e posteriores ao Mavericks.

Segundo Kvarnhammar a única forma de protecção até a Apple lançar uma correcção para o “rootpipe”, é usar uma conta sem privilégios de administrador e encriptar o disco com a ferramenta da Apple FileVault. Para Janeiro serão dados a conhecer pormenores sobre esta vulnerabilidade.